/*
    CSS FOR COMMUNITY BARDER BY EUAN LIVINGSTONE
*/

/* PROPERTIES */

:root {
    /*COLOURS*/
    
    --primary: rgb(55, 55, 55);
    --primary-ambiant: rgb(144, 144, 144);

    --main-font: #464646;
    --main-font-muted: #848282;

    --gray-background-light: rgb(255, 255, 255);
    --gray-background-dark: rgb(234, 234, 234);
    --gray-background-darker: rgb(144, 144, 144);

    --dark-background: rgb(000,000,000);
    
    --border: 10px;
  }
  
  /* COLOUR CLASSES */
  
  .site-light {
      background-color: var(--gray-background-light);
  }
  
  .site-dark {
      background-color: var(--gray-background-dark);
  }
  
  .site-darker {
      background-color: var(--gray-background-darker);
  }
  
  .site-primary-bg {
      background-color: var(--primary);
  }
  
  .site-primary-ambiant-bg {
      background-color: var(--primary-ambiant);
  }

  .site-secondary-bg {
      background-color: var(--primary);
  }

  .site-secondary-ambiant-bg {
      background-color: var(--primary-ambiant);
  }
  
  .site-primary-font {
      color: var(--primary);
  }
  
  .site-primary-ambiant-font {
      color: var(--primary-ambiant);
  }
  
  .main-font {
      color: var(--main-font);
  }
  
  .main-font-muted {
      color: var(--main-font-muted);
  }

  .main-font-light {
    color: var(--grey-background-light);
}
  
  .site-btn {
      background-color: var(--primary);
  }
  
  .site-btn:hover {
      background-color: var(--primary-ambiant);
  }
  
  .site-btn:active {
      background-color: var(--primary) !important;
      border: 0px !important;
      color:#fff !important;
  }

  .site-btn .disabled {
    background-color: var(--primary) !important;
    border: 0px !important;
    color:#fff !important;
}

    .rounded-pill {
        margin-top: 0.2rem;
    }
  

/* MAIN CSS */

light {
    font-weight: 300;
}

regular {
    font-weight: 400;
}

medium {
    font-weight: 500;
}

semibold {
    font-weight: 600;
}

b {
    font-weight: 600;
}

bold {
    font-weight: 700;
}

extrabold {
    font-weight: 900;
}

.row-sameHeight {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
}

.row-sameHeight > [class*='col-'] {
    display: flex;
    flex-direction: column;
}

body {
    padding: 0px;
    margin: 0px;
    font-family: 'Jost', sans-serif !important;
    transition:all 1s;
}

.test {
    border: 3px solid rgb(111, 238, 88);
    min-height: 30px;
    width: 100%;
}

.center {
    display: flex;
    align-items: center;
    justify-content: center;
}

/*centers vertically and horizontally on child*/
.vertical {
    display: flex;
    justify-content: center;
    align-items: center;
}

.noAStyle {
    text-decoration: none !important;
    color: var(--main-font) !important;
}

.noAStyle:hover {
    text-decoration: none !important;
    color: var(--main-font) !important;
}

.noAStyle-light {
    text-decoration: none !important;
    color: var(--grey-background-light) !important;
}

.noAStyle-light:hover {
    text-decoration: none !important;
    color: var(--grey-background-light) !important;
}

.mobile-only{
    display:none;
}

.desktop-only{
    display:block;
}
/* scroll bar */

body::-webkit-scrollbar {
    width: 0.7em;
}

body::-webkit-scrollbar-track {
    box-shadow: inset 0 0 9px rgba(0, 0, 0, 0.3);
}

body::-webkit-scrollbar-thumb {
    background-color: var(--primary);
    border-radius: 10px;
}

.button-main-light {
    background-color: #fff;
    color: var(--primary) !important;
    font-weight: 500;
    padding: 10px 15px 10px 15px;
    border-radius: var(--border);
    display: inline-block;
    cursor: pointer;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.ideas-inside {
    background-color:#fff;
    padding: 6px;
    padding-left: 20px;
    padding-right: 20px;
    border-radius: 10px;
}

.button-main-light:hover {
    background-color: #7A7A7A;
    color: var(--grey-background-light) !important;
    display: inline-block;
    cursor: pointer;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}


.button-main {
    background-color: var(--primary);
    color: var(--grey-background-light) !important;
    font-weight: 500;
    padding: 10px 15px 10px 15px;
    border-radius: var(--border);
    display: inline-block;
    cursor: pointer;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.button-main:hover {
    background-color: #7A7A7A;
    color: var(--grey-background-light) !important;
    display: inline-block;
    cursor: pointer;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.status {
    background-color: var(--primary);
    color: var(--grey-background-light) !important;
    font-weight: 500;
    padding: 10px 15px 10px 15px;
    border-radius: var(--border);
    display: inline-block;
}

.iconBox-large {
    background-color:#000;
    color:#fff;
    display: inline-block;
    font-size: 60px;
    width: 90px;
    height: 90px;
    border-radius: var(--border);
    -webkit-transition:color 1s ease;
    -moz-transition:color 1s ease;
    -o-transition:color 1s ease;
    transition:color 1s ease;
}

.iconBox-manage {
    color:#fff;
    display: inline-block;
    font-size: 60px;
    width: 150px;
    aspect-ratio: 1;
    border-radius: var(--border);
    -webkit-transition:color 1s ease;
    -moz-transition:color 1s ease;
    -o-transition:color 1s ease;
    transition:color 1s ease;
    margin-right: 30px;
}

.iconBox-small {
    color:#fff;
    display: inline-block;
    font-size: 40px;
    width: 70px;
    height: 70px;
    aspect-ratio: 1;
    border-radius: var(--border);
    -webkit-transition:color 1s ease;
    -moz-transition:color 1s ease;
    -o-transition:color 1s ease;
    transition:color 1s ease;
    margin-right: 15px;
}

.iconBox-manage-icon {
    margin-top: 15px;
}

.iconBox-select-icon {
    margin-top: 20px;
    font-size: 40px;
}

.iconBox-header {
    background-color:#000;
    color:#fff;
    display: inline-block;
    font-size: 85px;
    width: 130px;
    height: 130px;
    border-radius: var(--border);
}

.iconBox-inside {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.dropzone {
    min-height: 150px;
    border: 1px solid rgba(0,0,0,.2);
    background: #ffffff97 !important;
    padding: 20px 20px;
    border-radius: var(--border);
}

/* HEADER */

.main {
    padding: 0px 10% 0px 10%;
    /* margin-top: -97px; */
    margin-top: 12px;
}

.logo {
    width: 180px;
}

.nav-link {
    font-weight: 600;
    margin: 0px 12px 0px 12px;
    font-size: 15px;
}

.nav-link .active {
    border-bottom: 4px solid var(--primary);
    padding-bottom: 1px !important;
}

.nav-link .active-light {
    border-bottom: 4px solid var(--grey-background-light);
    padding-bottom: 1px !important;
}

.nav-mainButton {
    background-color: var(--primary);
    border-radius: var(--border);
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.nav-mainButton:hover {
    background-color: var(--main-font);
}

.nav-linkButton {
    color: var(--gray-background-light) !important;
}

.navbar-toggler {
    border: 0px !important;
    padding: 2px 4px 2px 4px;
    color: var(--primary);
}

.filter-option-inner-inner {
    font-size: 16pt;
    font-weight: 500;
}

.btn-custom {
    color: #fff;
    background-color: var(--primary);
    border-color: var(--primary);
}

.dropdown-item.active {
    background-color: var(--primary) !important;
}

.dropdown-item.active {
    background-color: var(--primary) !important;
}
/* FOOTER */

.foot-mainBox{
    background-color: var(--primary);
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    min-height: 200px;
    padding: 12px 30px 12px 30px;
}

.foot-logo {
    width: 180px;
}

.foot-mainButton {
    background-color: var(--gray-background-light);
    border-radius: var(--border);
    margin: 0px 10px 10px 10px !important;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.foot-mainButton:hover {
    background-color: var(--gray-background-dark);
}

.foot-linkButton {
    color: var(--primary) !important;
}

.header-arrow {
    width: 60%;
}

.header-box {
    background-color: var(--gray-background-dark);
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    padding: 12px 30px 12px 30px;
    margin-top: 50px;
    margin-bottom: 65px;
}

.header-box-barder {
    background-color: var(--gray-background-dark);
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    padding: 40px 30px 12px 30px;
    margin-top: 50px;
    margin-bottom: 65px;
    min-height:100px;
}

.profile-picture {
    width: 170px;
    aspect-ratio: 1;
    margin-right: 20px;
    border-radius: var(--border);
    -webkit-box-shadow:inset 0px 0px 0px 10px rgba(0, 0, 0, 0.489);
    -moz-box-shadow:inset 0px 0px 0px 10px rgba(0, 0, 0, 0.489);
    box-shadow:inset 0px 0px 0px 10px rgba(0, 0, 0, 0.489);
}

.profile-picture-barter {
    width: 100px;
    aspect-ratio: 1;
    margin-right: 20px;
    border-radius: var(--border);
    -webkit-box-shadow:inset 0px 0px 0px 5px rgba(0, 0, 0, 0.489);
    -moz-box-shadow:inset 0px 0px 0px 5px rgba(0, 0, 0, 0.489);
    box-shadow:inset 0px 0px 0px 5px rgba(0, 0, 0, 0.489);
}

.profile-picture-chat {
    width: 65px;
    aspect-ratio: 1;
    margin-right: 10px;
    border-radius: var(--border);
    -webkit-box-shadow:inset 0px 0px 0px 3px rgba(0, 0, 0, 0.489);
    -moz-box-shadow:inset 0px 0px 0px 3px rgba(0, 0, 0, 0.489);
    box-shadow:inset 0px 0px 0px 3px rgba(0, 0, 0, 0.489);
}

.header-icon-one {
    position: absolute;
    top:-78px;
    left:-60px;
}

.header-icon-two {
    position: absolute;
    bottom:-78px;
    right:-20px;
}

.cursor-pointer {
    cursor: pointer;
}

/* PAGES */

.button-box {
    background-color: #BABABA;
    border-radius: var(--border);
    width: 100%;
    aspect-ratio: 1;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.button-box:hover {
    background-color: #989898;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.button-box-logout {
    background-color: #a56b6b;
    border-radius: var(--border);
    width: 100%;
    aspect-ratio: 1;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
    cursor: pointer;
}

.button-box-logout:hover {
    background-color: #734f4f;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.button-box-disabled {
    background-color: #dbdbdb;
    border-radius: var(--border);
    width: 100%;
    aspect-ratio: 1;
}

.status-header{
    color: var(--gray-background-light);
    border-radius: var(--border) var(--border) 0% 0%;
    width: 100%;
    min-height: 50px;
    padding: 12px 30px 12px 30px;
}

.status-main{
    background-color: var(--gray-background-dark);
    color: var(--main-font);
    border-radius: 0% 0% var(--border) var(--border);
    width: 100%;
    min-height: 260px;
    padding: 12px 30px 12px 30px;
}

.status-main-verified {
    background-color: var(--gray-background-dark);
    color: var(--main-font);
    border-radius: 0% 0% var(--border) var(--border);
    width: 100%;
    min-height: 150px;
    padding: 12px 30px 12px 30px;
}

[class*="col-"] {
    padding-top: 0px;
    padding-bottom: 0px;
    background-color: #eeeeee00;
    background-color: rgba(86, 61, 124, 0);
    border: 0px;
    border: 0px;
}

.page-box{
    background-color: var(--gray-background-dark);
    color: var(--main-font);
    border-radius: var(--border);
    width: 100%;
    min-height: 50px;
    padding: 12px 30px 12px 30px;
}

.animationBox {
    transition: transform 250ms;
}

.animationBox:hover {
    transform: translateY(-7.5px);
}

.page-box-about{
    background-color: var(--gray-background-dark);
    color: var(--main-font);
    border-radius: var(--border);
    width: 100%;
    min-height: 50px;
    padding: 45px 45px 30px 45px;
}

.page-box-image{
    border-radius: var(--border);
    width: 100%;
    height: 100%;
}

.barters-header{
    position: absolute;
    width: 120%;
}

.alert-notif{
    z-index: 4000;
}

.page-box-padding {
    padding: 12px 30px 12px 30px;
}

.page-box-pricing-padding {
    padding: 12px 20% 12px 20%;
}

.pricing-header-standard {
    background-color: #769CC8;
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    padding: 12px 30px 12px 30px;
}

.text-standard {
    color: #769CC8 !important;
}

.pricing-header-ultimate {
    background-color: #622B99;
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    padding: 12px 30px 12px 30px;
}

.error{
    padding: 40px 0px 30px 0px;
}

.home-box{
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url(/assets/img/bg-one.jpg);
    background-size: cover;
    background-position: center;
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    min-height: 200px;
    padding: 12px 30px 12px 30px;
}

.home-infoBox{
    background-color:rgba(0, 0, 0, 0.6);
    width: 100%;
    min-height: 300px;
    border-radius: var(--border);
    -webkit-transition:color 1s ease;
    -moz-transition:color 1s ease;
    -o-transition:color 1s ease;
    transition:color 1s ease;
}

.barters-infoBox{
    background-color:rgba(0, 0, 0, 0.6);
    width: 100%;
    min-height: 100px;
    border-radius: var(--border);
    -webkit-transition:color 1s ease;
    -moz-transition:color 1s ease;
    -o-transition:color 1s ease;
    transition:color 1s ease;
}

.next-arrow {
    position: absolute;
    top: 90px;
    left: 37%;
}

.hidden {
    display: none;
}

.home-box-secondary{
    background-color: var(--gray-background-dark);
    color: var(--gray-background-light);
    border-radius: var(--border);
    width: 100%;
    min-height: 200px;
    padding: 12px 30px 12px 30px;
}

.home-arrow-facingDown{
    width: 60px;
}

.home-arrow-facingUp{
    width: 80px;
}

.home-arrow-down{
    position: absolute;
    top:3px;
    left:120px;
    z-index: 3000;
}

.home-arrow-up{
    position: absolute;
    top:-40px;
    left:100px;
    z-index: 3000;
}

.home-skillsAdvert {
    width: 100%;
}

/* NOTIF */
.site-notif {
    z-index: 5;
    position: fixed;
    bottom: 30px;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
}

.site-notif div {
    border-radius: var(--border);
    padding: 5px;
    margin-bottom: 5px;
}

.site-notif .success {
    background-color: #00bc8c !important;
    box-shadow: #00bc8c50 0px 4px 8px 0px, #00bc8c50 0px 6px 20px 0px;
}

.site-notif .success .icon {
    color: #00956F;
}

.site-notif .warning {
    background-color: #f39c12 !important;
    box-shadow: #f39d1250 0px 4px 8px 0px, #f39d1250 0px 6px 20px 0px;
}

.site-notif .warning .icon {
    color: #BB7910;
}

.site-notif .danger {
    background-color: #e74c3c !important;
    box-shadow: #e74c3c50 0px 4px 8px 0px, #e74c3c50 0px 6px 20px 0px;
}

.site-notif .danger .icon {
    color: #9F372C;
}

.site-notif .close {
    cursor: pointer;
}

/* Mobile Only */

@media all and (max-width: 980px) {
    .main {
        padding: 0px 5% 0px 5%;
        /* margin-top: -97px; */
        margin-top: 30px;
    }
    
    .site-notif {
        width: 80%;
    }

    .mobile-only{
        display:block;
    }
    
    .desktop-only{
        display:none;
    }

    .header-icon-one {
        position: absolute;
        top:-15px;
        left:-20px;
    }
    
    .header-icon-two {
        position: absolute;
        bottom:-22px;
        right:-20px;
    }

    .header-box {
        margin-top: 30px;
        margin-bottom: 30px;
    }

    .header-box-barder {
        padding: 12px 30px 12px 30px;
        margin-top: 30px;
        margin-bottom: 30px;
        min-height:0px;
    }

    .button-box {
        aspect-ratio: 0;
    }

    .button-box:hover {
        aspect-ratio: 0;
    }

    .button-box-disabled {
        aspect-ratio: 0;
    }

    .button-box-logout {
        aspect-ratio: 0;
    }
    
    .button-box-logout:hover {
        aspect-ratio: 0;
    }
    
}